<?php

namespace Plugin\Atobaraidotcom4;

use Eccube\Event\TemplateEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class AtobaraidotcomEvent implements EventSubscriberInterface
{
    /**
     * {@inheritdoc}
     */
    public static function getSubscribedEvents()
    {
        return [
            '@admin/Order/index.twig' => 'onAdminOrderIndexTwig',
        ];
    }
    /**
     * 管理画面 -> 受注管理 -> 受注一覧 -> 受注修正
     */
    public function onAdminOrderIndexTwig(TemplateEvent $event)
    {
        $event->addSnippet('@Atobaraidotcom4/admin/order_index.twig');
    }
}
